Get Discounts
Retrieves a list of discounts according to any specified filter criteria and sort options. This current version of the Discounts API includes localizedContent to support multi-locale catalogs, which was not present in the previous API model. If you were a client prior to May 2024 and have upgraded your implementation to support this feature, you can still access discount data that has not yet been rewritten to the new model by providing an x-api-version header set to “1”.
GET
/
commerce
/
catalog
/
admin
/
discounts
Error
A valid request URL is required to generate request examples{
"items": [
{
"amountType": "<string>",
"scope": "<string>",
"target": {
"type": "<string>",
"appliesToLeastExpensiveProductsFirst": true,
"categories": [
{
"id": 123
}
],
"doNotApplyToHandlingFees": true,
"excludeItemsWithExistingProductDiscounts": true,
"excludeItemsWithExistingShippingDiscounts": true,
"excludedCategories": [
{
"id": 123
}
],
"excludedCategoriesOperator": "<string>",
"excludedProducts": [
{
"productCode": "<string>"
}
],
"includeAllProducts": true,
"includedCategoriesOperator": "<string>",
"maximumQuantityPerRedemption": 1,
"products": [
{
"productCode": "<string>"
}
],
"shippingMethods": [
{
"code": "<string>",
"name": "<string>"
}
],
"shippingZones": [
{
"zone": "<string>"
}
]
},
"amount": 1,
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"canBeDeleted": true,
"canBeStackedUpon": true,
"code": "<string>",
"conditions": {
"categoriesToExcludeFromMinOrderTotal": [
{
"categoryId": 123
}
],
"continuityRecurrenceSettings": {
"interval": 123,
"startOrdinal": 123,
"stopOrdinal": 123
},
"couponCode": "<string>",
"customerSegments": [
{
"id": 123
}
],
"excludedCategories": [
{
"categoryId": 123
}
],
"excludedProducts": [
{
"productCode": "<string>"
}
],
"exclusiveLocationCodes": [
"<string>"
],
"exclusiveSiteIds": [
123
],
"expirationDate": "2023-11-07T05:31:56Z",
"expression": {
"text": "<string>",
"tree": {
"left": "<string>",
"logicalOperator": "<string>",
"nodes": "<array>",
"operator": "<string>",
"right": "<unknown>",
"type": "<string>"
}
},
"includedCategories": [
{
"categoryId": 123
}
],
"includedPaymentWorkflows": [
"<string>"
],
"includedProducts": [
{
"productCode": "<string>"
}
],
"maxRedemptionCount": 1,
"maximumOrderAmount": 123,
"minDistinctProductsRequired": 123,
"minTotalOrderQuantity": 123,
"minimumCategorySubtotalBeforeDiscounts": 123,
"minimumLifetimeValueAmount": 123,
"minimumOrderAmount": 123,
"minimumQuantityProductsRequiredInCategories": 1,
"minimumQuantityRequiredProducts": 1,
"minimumRequiredQuantityPerRedemption": 123,
"pricingContext": "<string>",
"productsToExcludeFromMinOrderTotal": [
{
"productCode": "<string>"
}
],
"requiresAuthenticatedUser": true,
"requiresCoupon": true,
"startDate": "2023-11-07T05:31:56Z",
"validFulfillmentMethods": [
"<string>"
],
"validSubscriptionContinuityOrdinals": [
123
],
"validSubscriptionFrequencies": [
"<string>"
]
},
"content": {
"name": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"customPropertyValues": {
"value1": "<string>",
"value10": "<string>",
"value2": "<string>",
"value3": "<string>",
"value4": "<string>",
"value5": "<string>",
"value6": "<string>",
"value7": "<string>",
"value8": "<string>",
"value9": "<string>"
},
"friendlyDescription": "<string>",
"localeCode": "<string>"
},
"currentRedemptionCount": 123,
"doesNotApplyToMultiShipToOrders": true,
"doesNotApplyToProductsWithSalePrice": true,
"doesNotApplyToSalePrice": true,
"hasPurchaseConditions": true,
"id": 123,
"includedPriceLists": [
"<string>"
],
"isBxGx": true,
"isDisabled": true,
"isPublic": true,
"isSubscriptionDiscount": true,
"labels": [
"<string>"
],
"localizedContent": [
{
"name": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"customPropertyValues": {
"value1": "<string>",
"value10": "<string>",
"value2": "<string>",
"value3": "<string>",
"value4": "<string>",
"value5": "<string>",
"value6": "<string>",
"value7": "<string>",
"value8": "<string>",
"value9": "<string>"
},
"friendlyDescription": "<string>",
"localeCode": "<string>"
}
],
"maximumDiscountImpactPerOrder": 1,
"maximumDiscountImpactPerRedemption": 1,
"maximumRedemptionsPerOrder": 1,
"maximumUsesPerUser": 1,
"preventLineItemShippingDiscounts": true,
"preventOrderProductDiscounts": true,
"preventOrderShippingDiscounts": true,
"purchaseRequirementType": "<string>",
"reevalFreeItemMinOrderPostDiscounts": true,
"stackingLayer": 123,
"status": "<string>",
"tagCodes": [
"<string>"
],
"thresholdMessage": {
"discountId": 123,
"thresholdValue": 123,
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"content": {
"messageTemplate": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"localeCode": "<string>"
},
"isActive": true,
"localizedContent": [
{
"messageTemplate": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"localeCode": "<string>"
}
],
"requiresCouponCode": true,
"showInCart": true,
"showOnCheckout": true
}
}
],
"pageCount": 123,
"pageSize": 123,
"startIndex": 123,
"totalCount": 123
}Query Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"items": [
{
"amountType": "<string>",
"scope": "<string>",
"target": {
"type": "<string>",
"appliesToLeastExpensiveProductsFirst": true,
"categories": [
{
"id": 123
}
],
"doNotApplyToHandlingFees": true,
"excludeItemsWithExistingProductDiscounts": true,
"excludeItemsWithExistingShippingDiscounts": true,
"excludedCategories": [
{
"id": 123
}
],
"excludedCategoriesOperator": "<string>",
"excludedProducts": [
{
"productCode": "<string>"
}
],
"includeAllProducts": true,
"includedCategoriesOperator": "<string>",
"maximumQuantityPerRedemption": 1,
"products": [
{
"productCode": "<string>"
}
],
"shippingMethods": [
{
"code": "<string>",
"name": "<string>"
}
],
"shippingZones": [
{
"zone": "<string>"
}
]
},
"amount": 1,
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"canBeDeleted": true,
"canBeStackedUpon": true,
"code": "<string>",
"conditions": {
"categoriesToExcludeFromMinOrderTotal": [
{
"categoryId": 123
}
],
"continuityRecurrenceSettings": {
"interval": 123,
"startOrdinal": 123,
"stopOrdinal": 123
},
"couponCode": "<string>",
"customerSegments": [
{
"id": 123
}
],
"excludedCategories": [
{
"categoryId": 123
}
],
"excludedProducts": [
{
"productCode": "<string>"
}
],
"exclusiveLocationCodes": [
"<string>"
],
"exclusiveSiteIds": [
123
],
"expirationDate": "2023-11-07T05:31:56Z",
"expression": {
"text": "<string>",
"tree": {
"left": "<string>",
"logicalOperator": "<string>",
"nodes": "<array>",
"operator": "<string>",
"right": "<unknown>",
"type": "<string>"
}
},
"includedCategories": [
{
"categoryId": 123
}
],
"includedPaymentWorkflows": [
"<string>"
],
"includedProducts": [
{
"productCode": "<string>"
}
],
"maxRedemptionCount": 1,
"maximumOrderAmount": 123,
"minDistinctProductsRequired": 123,
"minTotalOrderQuantity": 123,
"minimumCategorySubtotalBeforeDiscounts": 123,
"minimumLifetimeValueAmount": 123,
"minimumOrderAmount": 123,
"minimumQuantityProductsRequiredInCategories": 1,
"minimumQuantityRequiredProducts": 1,
"minimumRequiredQuantityPerRedemption": 123,
"pricingContext": "<string>",
"productsToExcludeFromMinOrderTotal": [
{
"productCode": "<string>"
}
],
"requiresAuthenticatedUser": true,
"requiresCoupon": true,
"startDate": "2023-11-07T05:31:56Z",
"validFulfillmentMethods": [
"<string>"
],
"validSubscriptionContinuityOrdinals": [
123
],
"validSubscriptionFrequencies": [
"<string>"
]
},
"content": {
"name": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"customPropertyValues": {
"value1": "<string>",
"value10": "<string>",
"value2": "<string>",
"value3": "<string>",
"value4": "<string>",
"value5": "<string>",
"value6": "<string>",
"value7": "<string>",
"value8": "<string>",
"value9": "<string>"
},
"friendlyDescription": "<string>",
"localeCode": "<string>"
},
"currentRedemptionCount": 123,
"doesNotApplyToMultiShipToOrders": true,
"doesNotApplyToProductsWithSalePrice": true,
"doesNotApplyToSalePrice": true,
"hasPurchaseConditions": true,
"id": 123,
"includedPriceLists": [
"<string>"
],
"isBxGx": true,
"isDisabled": true,
"isPublic": true,
"isSubscriptionDiscount": true,
"labels": [
"<string>"
],
"localizedContent": [
{
"name": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"customPropertyValues": {
"value1": "<string>",
"value10": "<string>",
"value2": "<string>",
"value3": "<string>",
"value4": "<string>",
"value5": "<string>",
"value6": "<string>",
"value7": "<string>",
"value8": "<string>",
"value9": "<string>"
},
"friendlyDescription": "<string>",
"localeCode": "<string>"
}
],
"maximumDiscountImpactPerOrder": 1,
"maximumDiscountImpactPerRedemption": 1,
"maximumRedemptionsPerOrder": 1,
"maximumUsesPerUser": 1,
"preventLineItemShippingDiscounts": true,
"preventOrderProductDiscounts": true,
"preventOrderShippingDiscounts": true,
"purchaseRequirementType": "<string>",
"reevalFreeItemMinOrderPostDiscounts": true,
"stackingLayer": 123,
"status": "<string>",
"tagCodes": [
"<string>"
],
"thresholdMessage": {
"discountId": 123,
"thresholdValue": 123,
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"content": {
"messageTemplate": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"localeCode": "<string>"
},
"isActive": true,
"localizedContent": [
{
"messageTemplate": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"localeCode": "<string>"
}
],
"requiresCouponCode": true,
"showInCart": true,
"showOnCheckout": true
}
}
],
"pageCount": 123,
"pageSize": 123,
"startIndex": 123,
"totalCount": 123
}
